package ru.yandex.direct.api.v5.entity.keywordsresearch.delegate;

import java.util.List;

import com.yandex.direct.api.v5.keywordsresearch.DeduplicateOperationEnum;

import ru.yandex.direct.api.v5.entity.RequestWithList;

public class DeduplicateKeywordsRequest implements RequestWithList<DeduplicateKeywordItem> {
    private List<DeduplicateOperationEnum> operations;
    private List<DeduplicateKeywordItem> items;

    public DeduplicateKeywordsRequest(List<DeduplicateOperationEnum> operations,
                                      List<DeduplicateKeywordItem> items) {
        this.operations = operations;
        this.items = items;
    }

    @Override
    public List<DeduplicateKeywordItem> getItems() {
        return items;
    }

    @Override
    public void setItems(List<DeduplicateKeywordItem> elements) {
        this.items = elements;
    }

    public List<DeduplicateOperationEnum> getOperations() {
        return operations;
    }
}
